# FeedFormat Class Reference
[Feed's parsers]

Inheritance diagram for FeedFormat:
[legend]

List of all members.

## Public Member Functions

| getChannelWorker ()
| getItemWorker ()
| isAcceptable (SimpleXMLElement $xmlFeed)
| parse (SimpleXMLElement $xmlFeed)
| toXml (FeedChannel $channel)

## Private Member Functions

| checkWorkers ()

## Detailed Description

Definition at line 15 of file FeedFormat.class.php.

## Member Function Documentation

FeedFormat::checkWorkers | ( |  | ) | `[private]`

Definition at line 47 of file FeedFormat.class.php.

References getChannelWorker(), and getItemWorker().

Referenced by parse(), and toXml().

Here is the call graph for this function:

FeedFormat::getChannelWorker | ( |  | ) | `[abstract]`

Reimplemented in AtomFeedFormat, RssFeedFormat, and YandexRssFeedFormat.

Referenced by checkWorkers(), parse(), and toXml().

FeedFormat::getItemWorker | ( |  | ) | `[abstract]`

Reimplemented in AtomFeedFormat, RssFeedFormat, and YandexRssFeedFormat.

Referenced by checkWorkers(), parse(), and toXml().

FeedFormat::isAcceptable | ( | SimpleXMLElement $ | xmlFeed | ) | `[abstract]`

Reimplemented in AtomFeedFormat, RssFeedFormat, and YandexRssFeedFormat.

FeedFormat::parse | ( | SimpleXMLElement $ | xmlFeed | ) |

Definition at line 21 of file FeedFormat.class.php.

References checkWorkers(), getChannelWorker(), and getItemWorker().

Here is the call graph for this function:

FeedFormat::toXml | ( | FeedChannel $ | channel | ) |

Definition at line 34 of file FeedFormat.class.php.

References checkWorkers(), getChannelWorker(), FeedChannel::getFeedItems(), and getItemWorker().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Markup/Feed/FeedFormat.class.php